Class | DBM
In: | dbm/dbm.c
Parent: | Object

### Methods

[] []= clear close closed? delete delete_if each each_key each_pair each_value empty? fetch has_key? has_value? include? index indexes indices invert key? keys length member? new open reject reject! replace select shift size store to_a to_hash update value? values values_at

### Included Modules

Enumerable

### Public Class methods

new(...)
open(...)

### Public Instance methods

[](p1)
[]=(p1, p2)
clear()
close()
closed?()
delete(p1)
delete_if()
each()
each_key()
each_pair()
each_value()
empty?()
fetch(...)
has_key?(p1)
has_value?(p1)
include?(p1)
index(p1)
indexes(...)
indices(...)
invert()
key?(p1)
keys()
length()
member?(p1)
reject()
reject!()
replace(p1)
select(...)
shift()
size()
store(p1, p2)
to_a()
to_hash()
update(p1)
value?(p1)
values()
values_at(...)

[Validate]